Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.workitems
Class PendWorkItemByDate

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.workitems.PendWorkItemByDate

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<VoidResult>, net.customware.gwt.dispatch.shared.Action<VoidResult>

    public class PendWorkItemByDate

extends java.lang.Object
implements OSAction<VoidResult>

Pend a Work Item until the specified Date.

When an item is Pended it enters a PENDHIDDEN state and is not visible in the Work List until the specified Date has passed.

Returns no result, throws an ActionException if an error occurs.

A Work Item can only be Pended if it is Allocated to the current user.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`PendWorkItemByDate(java.util.Set<ManagedId> items, java.util.Date pendDate)` Constructs a new PendWorkItemByDate Action

Method Summary
`java.util.Set<ManagedId>` | `getItem()` The `ManagedId` Item to Pend, a list of items can be retrieved by calling `GetToDoList`
`java.util.Date` | `getPendDate()` The Date to pend the item until.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PendWorkItemByDate

    public PendWorkItemByDate(java.util.Set<ManagedId> items,
                              java.util.Date pendDate)

  Constructs a new PendWorkItemByDate Action

  Parameters:
    `item` - The `ManagedId` Item to Pend, a list of items can be retrieved by calling `GetToDoList`
    `pendDate` - The Date to pend the item until.

Method Detail

### getItem

    public java.util.Set<ManagedId> getItem()

  The `ManagedId` Item to Pend, a list of items can be retrieved by calling `GetToDoList`

  Returns:
    Returns the item.

### getPendDate

    public java.util.Date getPendDate()

  The Date to pend the item until.

  Returns:
    Returns the pendDate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.